Debian Bug report logs - #580678
libavg - FTBFS: checking whether the Boost::Thread library is available... no

version graph

Package: src:libavg; Maintainer for src:libavg is Dimitri John Ledkov <xnox@debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 7 May 2010 16:36:02 UTC

Severity: serious

Found in version libavg/1.0.1-1

Fixed in version libavg/1.7.1-1

Done: Dmitrijs Ledkovs <xnox@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Werner <twerner@debian.org>:
Bug#580678; Package src:libavg. (Fri, 07 May 2010 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Werner <twerner@debian.org>. (Fri, 07 May 2010 16:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: libavg - FTBFS: checking whether the Boost::Thread library is available... no
Date: Fri, 7 May 2010 18:33:55 +0200
Source: libavg
Version: 1.0.1-1
Severity: serious

There was an error while trying to autobuild your package:

> sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on lxdebian.bfinv.de
[...]
> checking for python script directory... ${prefix}/lib/python2.5/site-packages
> checking for python extension module directory... ${exec_prefix}/lib/python2.5/site-packages
> checking for headers required to compile python extensions... found
> checking for libpython2.5... found
> checking whether the compiler implements namespaces... no
> checking whether the Boost::Thread library is available... no
> configure: error: boost.thread not found. Aborting.
> make: *** [debian/stamp-configure2.5] Error 1




Information stored :
Bug#580678; Package src:libavg. (Fri, 07 May 2010 19:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. (Fri, 07 May 2010 19:03:12 GMT) Full text and rfc822 format available.

Message #10 received at 580678-quiet@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Bastian Blank <waldi@debian.org>, 580678-quiet@bugs.debian.org
Subject: Re: Bug#580678: libavg - FTBFS: checking whether the Boost::Thread library is available... no
Date: Fri, 7 May 2010 21:01:13 +0200
Hi,

On Fri, May 7, 2010 at 6:33 PM, Bastian Blank <waldi@debian.org> wrote:
> There was an error while trying to autobuild your package:
>
>> sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on lxdebian.bfinv.de
> [...]
>> checking for python script directory... ${prefix}/lib/python2.5/site-packages
>> checking for python extension module directory... ${exec_prefix}/lib/python2.5/site-packages
>> checking for headers required to compile python extensions... found
>> checking for libpython2.5... found
>> checking whether the compiler implements namespaces... no
>> checking whether the Boost::Thread library is available... no
>> configure: error: boost.thread not found. Aborting.
>> make: *** [debian/stamp-configure2.5] Error 1

may you attach the config.log, please?

Thanks,
Torsten




Added indication that bug 580678 blocks 574770 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 08 May 2010 23:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Werner <twerner@debian.org>:
Bug#580678; Package src:libavg. (Sun, 09 May 2010 00:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Werner <twerner@debian.org>. (Sun, 09 May 2010 00:30:02 GMT) Full text and rfc822 format available.

Message #17 received at 580678@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 580678@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: Re: Bug#580678: libavg - FTBFS: checking whether the Boost::Thread library is available... no
Date: Sun, 9 May 2010 02:28:21 +0200
[Message part 1 (text/plain, inline)]
* Torsten Werner <twerner@debian.org>, 2010-05-07, 21:01:
>> There was an error while trying to autobuild your package:
>>
>>> sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on lxdebian.bfinv.de
>> [...]
>>> checking for python script directory... ${prefix}/lib/python2.5/site-packages
>>> checking for python extension module directory... ${exec_prefix}/lib/python2.5/site-packages
>>> checking for headers required to compile python extensions... found
>>> checking for libpython2.5... found
>>> checking whether the compiler implements namespaces... no
>>> checking whether the Boost::Thread library is available... no
>>> configure: error: boost.thread not found. Aborting.
>>> make: *** [debian/stamp-configure2.5] Error 1
>
>may you attach the config.log, please?

I attach config.log from my powerpc porterbox.

-- 
Jakub Wilk
[config.log (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#580678; Package src:libavg. (Sun, 09 May 2010 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. (Sun, 09 May 2010 00:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 580678-quiet@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 580678-quiet@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, Ulrich von Zadow <coder@c-base.org>
Subject: Re: Bug#580678: libavg - FTBFS: checking whether the Boost::Thread library is available... no
Date: Sun, 9 May 2010 02:35:50 +0200
Hi Jakub,

On Sun, May 9, 2010 at 2:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
> I attach config.log from my powerpc porterbox.

Thanks! The problem is obviously:

configure:16161: checking whether the Boost::Thread library is available
configure:16186: g++ -c -pthread -Wno-invalid-offsetof -msse2 -g -O2
 conftest.cpp >&5
cc1plus: error: unrecognized command line option "-msse2"

Cheers,
Torsten




Information stored :
Bug#580678; Package src:libavg. (Tue, 11 May 2010 09:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich von Zadow <coder@c-base.org>:
Extra info received and filed, but not forwarded. (Tue, 11 May 2010 09:57:17 GMT) Full text and rfc822 format available.

Message #27 received at 580678-quiet@bugs.debian.org (full text, mbox):

From: Ulrich von Zadow <coder@c-base.org>
To: mail.twerner@googlemail.com, 580678-quiet@bugs.debian.org
Subject: Re: Bug#580678: libavg - FTBFS: checking whether the Boost::Thread library is available... no
Date: Tue, 11 May 2010 11:04:33 +0200
Ok, that looks like a bug in the current libavg build. Sorry about that.

Patching -msse2 away on non-x86 architectures is probably the best way  
to go. libavg will definitely not run on x86 without sse2 support  
because it won't run with the graphics cards of that time either.

Cheers,

  Uli

On May 9, 2010, at 2:35 AM, Torsten Werner wrote:

> Hi Jakub,
>
> On Sun, May 9, 2010 at 2:28 AM, Jakub Wilk <jwilk@debian.org> wrote:
>> I attach config.log from my powerpc porterbox.
>
> Thanks! The problem is obviously:
>
> configure:16161: checking whether the Boost::Thread library is  
> available
> configure:16186: g++ -c -pthread -Wno-invalid-offsetof -msse2 -g -O2
> conftest.cpp >&5
> cc1plus: error: unrecognized command line option "-msse2"
>
> Cheers,
> Torsten
>
>
>
>
>

--
Any technology distinguishable from magic is insufficiently advanced.

Ulrich von Zadow | +49-172-7872715
Jabber: coder@c-base.org
Skype: uzadow







Added indication that bug 580678 blocks 622279 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Wed, 04 May 2011 11:54:20 GMT) Full text and rfc822 format available.

Removed indication that bug 580678 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 23:03:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitrijs Ledkovs <xnox@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 11:51:11 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 11:51:14 GMT) Full text and rfc822 format available.

Message #38 received at 580678-close@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: 580678-close@bugs.debian.org
Subject: Bug#580678: fixed in libavg 1.7.1-1
Date: Wed, 27 Jun 2012 11:47:52 +0000
Source: libavg
Source-Version: 1.7.1-1

We believe that the bug you reported is fixed in the latest version of
libavg, which is due to be installed in the Debian FTP archive:

libavg_1.7.1-1.debian.tar.gz
  to main/liba/libavg/libavg_1.7.1-1.debian.tar.gz
libavg_1.7.1-1.dsc
  to main/liba/libavg/libavg_1.7.1-1.dsc
libavg_1.7.1.orig.tar.gz
  to main/liba/libavg/libavg_1.7.1.orig.tar.gz
python-libavg_1.7.1-1_amd64.deb
  to main/liba/libavg/python-libavg_1.7.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580678@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitrijs Ledkovs <xnox@debian.org> (supplier of updated libavg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 13 Jun 2012 21:36:19 +0100
Source: libavg
Binary: python-libavg
Architecture: source amd64
Version: 1.7.1-1
Distribution: unstable
Urgency: low
Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
Changed-By: Dmitrijs Ledkovs <xnox@debian.org>
Description: 
 python-libavg - High-level development platform for media-centric applications
Closes: 555079 580678 616859 621534
Changes: 
 libavg (1.7.1-1) unstable; urgency=low
 .
   * New maintainer
   * debian/patches/series: Add patch to fix FTBFS with gcc 4.7 (LP: #1008300)
   * debian/control: Correct the packaging URL
   * debian/control: Bump the standards version to 3.9.3
   * debian/copyright: Change the URL of the copyright format specification
   * closing debian bugs, fixed in the previous ubuntu uploads:
     - builds with gold (Closes: #555079)
     - uses dh_python2 (Closes: #616859)
     - no *.la files shipped (Closes: #621534)
     - don't use -msse2 on non-ix86 architectures (Closes: #580678)
Checksums-Sha1: 
 38c596e7c1fb1e204d179b81577722b3ad4ac7d2 2287 libavg_1.7.1-1.dsc
 894f9b1db1bfa919624e67df3d8fa6897d762ff2 6667838 libavg_1.7.1.orig.tar.gz
 b55ed6ca988b0078f27372748cc5da4b79cec244 10865 libavg_1.7.1-1.debian.tar.gz
 55cf5ca7f16f1ffc6f29ba381c6d58fc6d74a8f4 3209414 python-libavg_1.7.1-1_amd64.deb
Checksums-Sha256: 
 85be3c2c2d968bdc1164a6a533ff33c320e1dc11973aa0f6738c281ee6d52549 2287 libavg_1.7.1-1.dsc
 f534b26c377134b703053eca75c6d6591110a996333a861c66153ff7f9acf314 6667838 libavg_1.7.1.orig.tar.gz
 b0e627e938b6a9781de2adaefc92c6bcebae3f679b2a2aaded422b2280a88c62 10865 libavg_1.7.1-1.debian.tar.gz
 80564b5208e66cbb8f936aad07d109b0c95b74dba0c764eb1e10bc1cf2796abe 3209414 python-libavg_1.7.1-1_amd64.deb
Files: 
 4ced1d5a29c5379f701496d79e5d7c2e 2287 python optional libavg_1.7.1-1.dsc
 63cb010baf08e6f147e00287a80d968a 6667838 python optional libavg_1.7.1.orig.tar.gz
 abef3683330c8a3f96e6bb0881dcfe5d 10865 python optional libavg_1.7.1-1.debian.tar.gz
 3ecba9d802caa92e58361c2a32e7be10 3209414 python optional python-libavg_1.7.1-1_amd64.deb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJP2kasAAoJEIh7YGGLPBau3KoP/jMxAk5M7PIyVUC77iY6Kr7r
uJw4UVTEFYLkRKMwctn5G+SGY5bzTe20aainn3i3Q/ydNiPw2JKewqu+MUwGC/kY
Z49N5yHzbfdZDWhsQRMDIwI9szhqYfJaw6mkhNGC6gRJLgrTkV804obPBNHVeyRl
6PFMkSEI/JBKeJNWlxHNnPLKHlNF62/Yj0Yqph8g3U70cc5DtIzGbgK6WGAt5xTO
NJIO0PJmZ6q/uZ4IBrQuZE69Z9GKqpD/btgNG89msmFMtClsKpYNhyisVjzr6EkD
INx6IxEM6reh0WtGjmvPuFNGLB/WjMKkQLZ7ANQjTq9AAjSCkb3oIKh9b42t2Dqi
sWbwY/FEGFpFBdlKXBC0zc1jeRgw4+nEy8Ms2T70yCpcrF55k3k6UHpoT95H96zr
WDfkvjtLVpj80RgYbfY/vf77twcBAebaTRXYi0nfKjNm9P39JC+HVSLZP9ykdDTn
XjdGb6PjazM8pkdzEP75f+Nqh5Aw5IGO0Dv5Xq3YLf2jjsyiymDLqR4/4eofIH04
FdfY/XNITjaQUuMF8fvAr5M210UUUtT6lwHhzNHqJz0p7gEsRjELtDGMOIxP4Ugu
4ClyHHBDgU6q2b+oMk8dk2asu/YeVMIQlzergVUred04is9oFhm3X5q5RVPj8lk6
RhrRjloUzBQOEguqU7tK
=EZRT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:37:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:26:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.